Uploaded image for project: 'Qpid'
  1. Qpid
  2. QPID-6590

Cannot install qpid-tools on Fedora 22

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Blocker
    • Resolution: Fixed
    • Affects Version/s: 0.32
    • Fix Version/s: None
    • Component/s: Python Client
    • Labels:
      None
    • Environment:

      Fedora 22

      Description

      If you run this command on a Fedora 22 machine:

      $ sudo dnf install qpid-tools

      It will fail with this error:

      Error: Transaction check error:
        file /usr/lib/python2.7/site-packages/qpidtoollibs/broker.py conflicts between attempted installs of qpid-tools-0.32-2.fc22.x86_64 and python-qpid-qmf-0.28-27.fc22.x86_64
        file /usr/lib/python2.7/site-packages/qpidtoollibs/broker.pyc conflicts between attempted installs of qpid-tools-0.32-2.fc22.x86_64 and python-qpid-qmf-0.28-27.fc22.x86_64
        file /usr/lib/python2.7/site-packages/qpidtoollibs/broker.pyo conflicts between attempted installs of qpid-tools-0.32-2.fc22.x86_64 and python-qpid-qmf-0.28-27.fc22.x86_64
        file /usr/lib/python2.7/site-packages/qpidtoollibs/disp.py conflicts between attempted installs of qpid-tools-0.32-2.fc22.x86_64 and python-qpid-qmf-0.28-27.fc22.x86_64
        file /usr/lib/python2.7/site-packages/qpidtoollibs/disp.pyc conflicts between attempted installs of qpid-tools-0.32-2.fc22.x86_64 and python-qpid-qmf-0.28-27.fc22.x86_64
        file /usr/lib/python2.7/site-packages/qpidtoollibs/disp.pyo conflicts between attempted installs of qpid-tools-0.32-2.fc22.x86_64 and python-qpid-qmf-0.28-27.fc22.x86_64 

        Attachments

          Activity

            People

            • Assignee:
              mcpierce Darryl Pierce
              Reporter:
              mhrivnak Michael Hrivnak
            • Votes:
              0 Vote for this issue
              Watchers:
              1 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: